summaryrefslogtreecommitdiff
path: root/ci/dox.sh
diff options
context:
space:
mode:
authorgnzlbg <gonzalobg88@gmail.com>2019-02-20 13:11:30 +0100
committergnzlbg <gonzalobg88@gmail.com>2019-02-20 15:27:57 +0100
commit7017701b219e9f545e5359da4669cfdd3185df54 (patch)
treec40103e872d089f00aec11fb196a5be394ef9121 /ci/dox.sh
parent863d70391046dbccfa6ba9004549934601de2059 (diff)
downloadrust-libc-7017701b219e9f545e5359da4669cfdd3185df54.tar.gz
Re-enable target-specific docs
Diffstat (limited to 'ci/dox.sh')
-rw-r--r--ci/dox.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/ci/dox.sh b/ci/dox.sh
index 3456288a37..21a63dd755 100644
--- a/ci/dox.sh
+++ b/ci/dox.sh
@@ -27,8 +27,11 @@ printf '### Platform-specific documentation\n' >> $PLATFORM_SUPPORT
while read -r target; do
echo "documenting ${target}"
- #rustdoc -o "$TARGET_DOC_DIR/${target}" --target "${target}" src/lib.rs --cfg cross_platform_docs \
- # --crate-name libc
+ rustup target add "${target}" || true
+ xargo doc --target "${target}" \
+ --no-default-features --features extra_traits
+
+ cp -r "target/${target}/doc" "${TARGET_DOC_DIR}/${target}"
echo "* [${target}](${target}/libc/index.html)" >> $PLATFORM_SUPPORT
done < targets